### Method

# WebKit2 Download get_response

#### Declaration [src]

    WebKitURIResponse*
    webkit_download_get_response (
      WebKitDownload* download
    )

#### Description [src]

Retrieves the `WebKitURIResponse` object that backs the download process.

Retrieves the `WebKitURIResponse` object that backs the download process. This method returns `NULL` if called before the response is received from the server. You can connect to notify::response signal to be notified when the response is received.

Gets property | `WebKit2.Download:response`

#### Return value

Type: `WebKitURIResponse`

The `WebKitURIResponse`, or `NULL` if the response hasn’t been received yet.

The returned data is owned by the instance.